/*
 * Class SED_SESSION_SERIALIZER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_109 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_109 [] = {0xFF01,237,108,0xFFFF};
static const EIF_TYPE_INDEX egt_2_109 [] = {0xFF01,108,0xFFFF};
static const EIF_TYPE_INDEX egt_3_109 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_109 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_109 [] = {0xFF01,108,0xFFFF};
static const EIF_TYPE_INDEX egt_6_109 [] = {0xFF01,108,0xFFFF};
static const EIF_TYPE_INDEX egt_7_109 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_109 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_109 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_109 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_109 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_109 [] = {0xFF01,108,0xFFFF};
static const EIF_TYPE_INDEX egt_13_109 [] = {0xFF01,310,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_109 [] = {0xFF01,38,0xFFFF};
static const EIF_TYPE_INDEX egt_15_109 [] = {0xFF01,132,0xFFFF};
static const EIF_TYPE_INDEX egt_16_109 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_17_109 [] = {0xFF01,47,0xFFFF};
static const EIF_TYPE_INDEX egt_18_109 [] = {0xFF01,171,0xFFFF};
static const EIF_TYPE_INDEX egt_19_109 [] = {0xFF01,49,0xFFFF};
static const EIF_TYPE_INDEX egt_20_109 [] = {0xFF01,48,0xFFFF};


static const struct desc_info desc_109[] = {
	{EIF_GENERIC(NULL), 1483, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_109), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_109), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_109), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_109), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_109), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_109), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_109), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_109), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_109), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_109), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_109), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_109), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xD9 /*108*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_109), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1460, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1461, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1462, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1463, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_109), 1464, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1484, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 1485, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_109), 1486, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1487, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1488, 20},
	{EIF_GENERIC(NULL), 1489, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1490, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1491, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1492, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1493, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_109), 1494, 4},
	{EIF_GENERIC(egt_16_109), 1495, 8},
	{EIF_GENERIC(egt_17_109), 1496, 12},
	{EIF_GENERIC(egt_18_109), 1497, 16},
	{EIF_GENERIC(egt_19_109), 1498, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_109), 1499, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 1500, 24},
	{EIF_GENERIC(NULL), 1501, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1502, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1503, 21},
	{EIF_GENERIC(NULL), 1504, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1505, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1506, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1507, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1508, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1465, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1466, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1467, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1468, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1469, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1470, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1471, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1472, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1473, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1474, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1475, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1476, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1477, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1478, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1479, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1480, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1481, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1482, 0xFFFFFFFF},
};
void Init109(void)
{
	IDSC(desc_109, 0, 108);
	IDSC(desc_109 + 1, 1, 108);
	IDSC(desc_109 + 32, 201, 108);
	IDSC(desc_109 + 37, 341, 108);
}


#ifdef __cplusplus
}
#endif
